<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>GerenciadorCredenciamento.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.domain</a> &gt; <span class="el_source">GerenciadorCredenciamento.java</span></div><h1>GerenciadorCredenciamento.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.domain;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Objects;

/**
 * A GerenciadorCredenciamento.
 */
@Entity
@Table(name = &quot;gerenciador_credenciamento&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L16">public class GerenciadorCredenciamento implements Serializable {</span>

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    public Long getId() {
<span class="fc" id="L25">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L29">        this.id = id;</span>
<span class="fc" id="L30">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L34" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L35">            return true;</span>
        }
<span class="pc bpc" id="L37" title="1 of 4 branches missed.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L38">            return false;</span>
        }
<span class="fc" id="L40">        GerenciadorCredenciamento gerenciadorCredenciamento = (GerenciadorCredenciamento) o;</span>
<span class="pc bpc" id="L41" title="3 of 4 branches missed.">        if (gerenciadorCredenciamento.id == null || id == null) {</span>
<span class="fc" id="L42">            return false;</span>
        }
<span class="nc" id="L44">        return Objects.equals(id, gerenciadorCredenciamento.id);</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L49">        return Objects.hashCode(id);</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L54">        return &quot;GerenciadorCredenciamento{&quot; +</span>
            &quot;id=&quot; + id +
            '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>